Bug 104335 - ICE when compiling glibc
Summary: ICE when compiling glibc
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: gcc   
(Show other bugs)
Version: 3.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Diego Novillo
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-12 19:26 UTC by Ulrich Drepper
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-15 13:01:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Preprocessed sources (23.23 KB, application/octet-stream)
2003-09-12 19:30 UTC, Ulrich Drepper
no flags Details

Description Ulrich Drepper 2003-09-12 19:26:13 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5b) Gecko/20030910
Firebird/0.6.1+ StumbleUpon/1.83

Description of problem:
The gcc-ssa seems to have problems with asms.  The attached preprocessed source
causes an ICE.

Version-Release number of selected component (if applicable):
gcc-ssa-3.5ssa-0.20030801.38

How reproducible:
Always

Steps to Reproduce:
1. gcc-ssa -c -O2 gconv_db.i
2.
3.
    

Actual Results:  iconv/gconv_db.i: In function `__gconv_find_transform':
iconv/gconv_db.i:3903: internal compiler error: Segmentation fault


Expected Results:  Nice little object file.

Additional info:

Comment 1 Ulrich Drepper 2003-09-12 19:30:37 UTC
Created attachment 94456 [details]
Preprocessed sources

Comment 2 Diego Novillo 2003-09-15 13:01:05 UTC
Seemingly fixed in top-of-branch in FSF repository.  Too late for RC1,
backporting a patch may be risky for eclipse.  Will fix for QU1.

For now, I'll start building/testing glibc regularly with the FSF branch and fix
whatever bugs we find there.


Note You need to log in before you can comment on or make changes to this bug.